﻿/* Customizzazioni CSS necessarie migrate dal vecchio zib2b.css */

.loader {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: url('/assets-smarthr2022/img/ajax-loading-orange.gif') 50% 50% no-repeat rgb(249,249,249);    
    opacity: .8;
    /*background-size: 208px 13px;    */
    background-position: center center;
}

.table td > a {
    color: #009ce7;
    text-decoration: underline;
}

@media only screen and (max-width: 479px) {
    .header .header-left {
        /*background: url(/assets-smarthr2022/img/Marchio_2020.gif);*/
        background-repeat: no-repeat;        
        background-position: center center;
    }

    .header-zicaffe {
        background: url(/assets-smarthr2022/img/Marchio_2020.gif);
        background-size: 50px 50px;
    }

    .header-zinco {
        background: url(/assets-smarthr2022/img/Marchio_Zinco.png);
        background-size: auto 40px;
    }
}

/*mini sidebar nuova*/
@media only screen and (min-width: 992px) {
    .mini-sidebar .main-wrapper .header .header-left {        
        background-repeat: no-repeat;        
        background-position: center center;
    }

    .header-zicaffe {
        background: url(/assets-smarthr2022/img/Marchio_2020.gif);
        background-size: 41.66px 50px;
    }

    .header-zinco {
        background: url(/assets-smarthr2022/img/Marchio_Zinco.png);
        background-size: auto 30px;
    }
}

@media only screen and (min-width: 480px) {
    .header .header-left {        
        background-repeat: no-repeat;        
        background-position: center center;
    }

    .header-zicaffe {
        background: url(/assets-smarthr2022/img/logo.png);
        background-size: 145.45px 60px;
    }

    .header-zinco {
        background: url(/assets-smarthr2022/img/Marchio_Zinco.png);
        background-size: auto 40px;
    }
}

div.dataTables_wrapper div.dataTables_filter{
    text-align: left;
    padding-top: 20px;
}

div.dataTables_wrapper div.dataTables_filter label {
font-weight: 600;
}

div.dataTables_wrapper div.dataTables_filter label input{
    font-weight: normal;    
}

.profile-view .profile-basic {
    margin-left: 0px;
    padding-right: 0px;
}

.profile-basic {
    margin-left: 0px;
}

#conferma_modale button.close, #ricerca_articoli_modale button.close {
    font-size: 18px;
    width: 180px;    
}

#grigliadati .totali, #estrattoconto .totali {
    background-color: #ddd;
    border-top: 1px outset #ddd;
    font-weight: 500;
}

#estrattoconto .totali {
    border-bottom: 10px solid #353535;
}

#grigliadati .ripetizioneHeader {
    text-align: center;
    border-bottom: 2px outset #ddd;
    font-weight: 500;
    background-color: #ddd;
    padding: 10px 8px;
}

.form-horizontal .notification-popup {
    top: 60px;
    opacity: .9;
    z-index: 9999;
}

.notification-popup.fail {
    background: #fc6075;
    border: 1px solid #2fa65c;
}
.notification-popup.success {
    background: #35BA67;
    border: 1px solid #2fa65c;
}

.dataTables_wrapper tbody tr td.ancora, .table tbody tr td.ancora {
    color: #009ce7;
    cursor: pointer;
    text-decoration: underline;
}

.colonnaEURIntNums, .colonnaEURDoubleNums, .colonnaDoubleNums, .colonnaTotaliFooter {
    text-align: right;
}

div.card-table th {
    text-align: center;
}

.text-right {
    text-align: right;
}

#grigliadati .table .intestazione {
    background-color: #e5e5e5;
    font-weight: bold;
}

.intestazionep {
    font-weight: bold !important;
}

@media only screen and (max-width: 400px) {
    .account-title {
        font-size: 28px;
    }

    /* elenco richieste clienti*/


    #divcontainer div.card-box td > span{
        max-width: 80px;
        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;
    }

    #divcontainer div.card-box td.name {
        max-width: 120px;
        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;
    }
        /*
    #divcontainer div.card-box td.subject {
        max-width: 40px;
        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;
    }*/
}

#divcontainer .table > thead > tr > th{
    white-space: normal;
}

#divcontainer .table tr > td {
    white-space: normal;
}

/* fix chat richieste*/
div.container-fluid .chat-main-row {
    padding-top: 60px;
    padding-bottom: 0px;
}

div.chat-wrap-inner .chat-left .chat-body {
    margin-left: 0px;
}

.card-box div.message-area .btn {
    width: 65px;
}

div.chat-main-row .avatar {
    width: 60px;
}

div.chat-main-row div.edit-profile-img {
    height: 60px;
}

div.chat-main-row div.chat-profile-img {
    padding: 10px;
}

.message-area .btn {
    height: 84px;
}

.contatore {
    color: #a4a6a9;
}


/* >>>>>       Nuove customizzioni per smarthr2022     <<<<<<   */
.table > tbody > tr.danger > td {
    background-color: #f2dede;
}


@media (min-width: 576px) {
    div.main-wrapper div.modal div.fullWidthModale {
        max-width: 100%;
        margin: 0.5rem;
    }
}

/* Fix hamburger menù invisibile*/
@media (max-width: 991px) {
    div.header #mobile_btn.mobile_btn > i {
        color: #333;
    }
}


div.header div.mobile-user-menu a > i {
    color: #333;
}
/*fine fix hamburger menu*/

/* fix dimensione tasto X finestre modali */
.custom-modal .modal-content .modal-header > button.close {
    width: 30px;
    height: 30px;
    font-size: 20px;
}

/* fix span a capo dentro td di tabelle */
table.table td span {
    color: #9e9e9e;
    display: block;
    font-size: 90%;
    margin-top: 3px;
}

div.profile-info-left .personal-info li {
    margin-bottom: 5px;
}

ul.personal-info li .title {
    margin-right: 10px;
    width: 30%;
}

@media only screen and (max-width: 479px) {
    .no_mobile {
        display: none;
    }
}

/* fix dimensione textbox stretta in visdo_modale 
#visdo_modale .custom-table td {*/
div.table-responsive .custom-table td {
    padding: 10px 8px;
}

.custom-modal .fullWidthModale .modal-content .modal-body {
    padding: 15px;
}

.custom-modal .fullWidthModale .modal-content .modal-header {
    padding: 15px 15px 0;
}

/* Pulsante torna al carrello di Nuovo ordine colorato di arancione*/
#ricerca_articoli_modale button.close, #conferma_modale button.close {
    background: linear-gradient(to right, #ff9b44 0%, #fc6075 100%);
}

div.table-responsive .table-striped > tbody > tr:nth-of-type(odd) > * {
    --bs-table-accent-bg: none; /* var(--bs-table-striped-bg);*/    
}

input.btn-info {
    color: #fff;
}

div.table-responsive .table th, div.table-responsive .table td {
    white-space: normal;
}

div.table-responsive .table td.totali
{
    border-top: 3px solid #353535;
    border-bottom: 3px solid #353535;
    color:green; 
    font-weight: bold; 
    !important;
}


div.fullWidthModale > div.modal-content {
    background-color: #f7f7f7;
}

div.dropdown > div.dropdown-menu-right {
    text-align: center;
}

div.dropdown ul.dropdown-menu 
{
    text-align: center;
}

.table > thead > tr > th {
    //vertical-align: bottom;
    border-bottom: 2px solid #ddd;
}

.custom-table tr {
    background-color: #fff;
    box-shadow: 0 0 3px #e5e5e5;
}

@media (max-width: 767px) {
    .hidden-xs {
        display: none !important;
    }
}

.files-list > li .files-cont .files-info .text-ellipsis > a{
    white-space: normal;
}

/*Fix allineamento a sinistra textbox CERCA RISULTATI delle datatables */
div.dt-bootstrap5 div.dt-search {
    text-align: left;
    margin-bottom: 5px;
    margin-top: 5px;
}

div.dt-bootstrap5 div.dt-buttons {
    float: right;
    margin-bottom: 5px;
    margin-top: 5px;
}

#sidebar .badge:empty {
    display: none;
}

/* fix area nome allegato in richiesteChat*/
div.tab-pane .files-list > li .files-cont .files-info {
    padding: 0 0px 0 50px;
}

/* fix area dettagli cliente in richiesteChat*/
.content-full .display-table .table-row .table-body .table-content .chat-profile-info .user-det-list li {
    padding: 0px 6px 0px 6px;
}

.content-full .display-table .table-row .table-body .table-content .chat-profile-img {
    padding: 5px 30px 0px 30px
}

.content-full .display-table .table-row .table-body .table-content .chat-profile-info {
    padding: 5px;
}

@media only screen and (max-width: 533px) {
    #dd_richieste {
        display: block;
        width: 80%;
        overflow: hidden;
        white-space: pre;
        text-overflow: ellipsis;
        -webkit-appearance: auto;
    }

    div.user-info i.typing-text {
        display: block;
    }
}

#info_modale ul {
    position: relative;
    list-style: none;
    text-align: left;
}

#info_modale ul li::before {
    content: '▶';
    position: absolute;
    left: 0;
}

#info_modale ul li {
    padding-left: 20px;
}